%define enable_gnometris 1
%define enable_xbill 0

%define gamesdir	%{_localstatedir}/games
%define libname libgdkcardimage
%define lib_major 0

Summary:	GNOME games
Name:		gnome-games
Version:	2.2.0
Release:	2mdk
License:	GPL
Group:		Games/Other

Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/gnome-games/gnome-games-%{version}.tar.bz2
Source1:    gnome-games-2.1.3-missingschemas.tar.bz2
Source6:	%{name}-icons16.tar.bz2
Source7:	%{name}-icons32.tar.bz2
Source8:	%{name}-icons48.tar.bz2
# (fc) 2.2.0-2mdk fix gnect schema (Mdk bug #1042)
Patch0:		gnome-games-2.2.0-gnectschema.patch.bz2
BuildRequires:	gettext
BuildRequires:	guile-devel
BuildRequires:	libgnomeui2-devel >= 2.0.0
BuildRequires:	ncurses-devel
BuildRequires:	scrollkeeper

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://www.gnome.org/
Requires: guile
PreReq: scrollkeeper >= 0.3
PreReq: rpm-helper

%description
The gnome-games package includes games for the GNOME GUI desktop environment.

This package includes:
   * Ctali,
   * Freecell,
   * Gnibbles,
   * GNOME Robots,
   * Gnome-stones,
   * Gnomine,
   * Gnotravex,
   * Gtali,
   * Iagno,
   * Mahjongg,
   * Same-gnome
   * Sol

%package -n %{libname}%{lib_major}
Summary:	%{summary}
Group:		%{group}

%description -n %{libname}%{lib_major}
This package contains shared libraries used by gnome-games

%package -n %{libname}%{lib_major}-devel
Summary:	GNOME games development libraries
Group:		Development/GNOME and GTK+
Requires:	%{libname}%{lib_major} = %{version}-%{release}
Provides:   %{libname}-devel = %{version}-%{release}
Obsoletes:  %{name}-devel
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{libname}%{lib_major}-devel
This package installs the libraries and files needed to develop
games for the GNOME GUI desktop environment.

%prep

%setup -q -a 1
%patch0 -p1 -b .gnectschema

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%if !%enable_gnometris
rm -rf  $RPM_BUILD_ROOT%{_datadir}/applications/gnometris.desktop \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-gtetris.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnometris \
  $RPM_BUILD_ROOT%{gamesdir}/gnometris.scores
%endif

%if !%enable_xbill
rm -rf  $RPM_BUILD_ROOT%{_datadir}/applications/xbill.desktop \
 $RPM_BUILD_ROOT%{_bindir}/gnome-xbill \
 $RPM_BUILD_ROOT%{_datadir}/xbill \
 $RPM_BUILD_ROOT%{_datadir}/gnome/help/xbill \
 $RPM_BUILD_ROOT%{_datadir}/omf/gnome-games/xbill*
%endif


install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): title="FreeCell" longtitle="FreeCell game" command="%{_bindir}/freecell" icon="gnome-cardgame.png" needs="x11" section="Amusement/Cards"startup_notify="true"
?package(%{name}): title="GNOME Mines" longtitle="Mines game" command="%{_bindir}/gnomine" icon="gnome-gnomine.png" needs="x11" section="Amusement/Boards" startup_notify="true"
?package(%{name}): title="Same GNOME" longtitle="GNOME SameGame" command="%{_bindir}/same-gnome" icon="gnome-gsame.png" needs="x11" section="Amusement/Boards" startup_notify="true"
?package(%{name}): title="GNOME Mahjongg" longtitle="Mahjongg game" command="%{_bindir}/mahjongg" icon="gnome-mahjongg.png" kde_info="GNOME Mahjongg game" needs="x11" section="Amusement/Boards" startup_notify="true"
?package(%{name}): title="GTali" longtitle="Dice game" command="%{_bindir}/gtali" icon="gnome-gtali.png" needs="x11" section="Amusement/Other" start_notify="true"
?package(%{name}): title="GNOME Robots" longtitle="Gnome Robots game" command="%{_bindir}/gnobots2" icon="gnome-gnobots.png" needs="x11" section="Amusement/Arcade" startup_notify="true"
?package(%{name}): icon="iagno.png" title="Iagno" longtitle="Reversi game" command="%{_bindir}/iagno" needs="x11" section="Amusement/Boards" startup_notify="true"
?package(%{name}): title="GNOME Tetravex" longtitle="Tetravex game" command="%{_bindir}/gnotravex" icon="gnome-gnotravex.png" needs="x11" section="Amusement/Boards" startup_notify="true"
?package(%{name}): title="GNOME Stones" longtitle="GNOME Stones game" command="%{_bindir}/gnome-stones" icon="gnome-stones.png" needs="x11" section="Amusement/Boards" startup_notify="true"
?package(%{name}): title="AisleRiot" longtitle="Card-based Solitaire suite" command="%{_bindir}/sol" icon="gnome-aisleriot.png" needs="x11" section="Amusement/Cards" startup_notify="true"
?package(%{name}): title="Gnibbles" longtitle="Nibbles Game" command="%{_bindir}/gnibbles" icon="gnome-nibbles.png" needs="x11" icon="gnome-nibbles.png" section="Amusement/Arcade" startup_notify="true"
?package(%{name}): title="Glines" longtitle="Color lines game" command="%{_bindir}/glines" icon="glines.png" needs="x11" section="Amusement/Boards" startup_notify="true"
?package(%{name}): title="Gnect" longtitle="Four-in-a-row game" command="%{_bindir}/gnect" needs="x11" section="Amusement/Boards" icon="gnect-icon.png" startup_notify="true"
?package(%{name}): title="Gataxx" longtitle="Ataxx game" icon="gataxx.png" command="%{_bindir}/gataxx" needs="x11" section="Amusement/Boards" startup_notify="true"
?package(%{name}): title="Gnotski" longtitle="Klotski game" command="%{_bindir}/gnotski" icon="gnotski-icon.png" needs="x11" section="Amusement/Boards" startup_notify="true"
?package(%{name}): title="Gnometris" longtitle="Tetris game" command="%{_bindir}/gnometris" icon="gnome-gtetris.png" needs="x11" section="Amusement/Boards" startup_notify="true"
EOF

#mkdir -p  $RPM_BUILD_ROOT%{_datadir}/gtkrc
#mv $RPM_BUILD_ROOT%{_datadir}/gnome-stonesrc*  $RPM_BUILD_ROOT%{_datadir}/gtkrc

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_liconsdir}

bzcat %{SOURCE6} | tar xf - -C $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE7} | tar xf - -C $RPM_BUILD_ROOT%{_iconsdir}
bzcat %{SOURCE8} | tar xf - -C $RPM_BUILD_ROOT%{_liconsdir}

%{find_lang} %{name} --with-gnome --all-name

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-stones/objects/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{libname}%{lib_major}

%postun -p /sbin/ldconfig -n %{libname}%{lib_major}

%post
for SCHEMA in freecell gataxx gnect gnometris gnomine gtali iagno mahjongg same-gnome ; do 
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
done
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
## menu
%{update_menus}

%postun
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
## menu
%{clean_menus}

%pre
[ -d %{gamesdir} ] || mkdir -p %{gamesdir}
for i in gnibbles.1.0 gnibbles.1.1 gnibbles.2.0 gnibbles.2.1 \
		gnibbles.3.0 gnibbles.3.1 gnibbles.4.0 gnibbles.4.1 \
		gnobots.safe gnobots.unsafe gnobots2.classic_robots-safe \
		gnobots2.classic_robots gnobots2.nightmare-safe \
		gnobots2.nightmare gnobots2.robots2-safe gnobots2.robots2 \
		gnobots2.robots2_easy-safe gnobots2.robots2_easy \
		gnobots2.robots_with_safe_teleport-safe \
		gnobots2.robots_with_safe_teleport gnome-stones \
		gnomine.Biiiig gnomine.Custom gnomine.Medium gnomine.Tiny \
		gnotravex.2x2 gnotravex.3x3 gnotravex.4x4 gnotravex.5x5 \
		gnotravex.6x6 gtali iagno.b1 iagno.b2 iagno.b3 iagno.w1 \
		iagno.w2 iagno.w3 mahjongg same-gnome glines gnometris
do
	%create_ghostfile %{gamesdir}/$i.scores games games 0664
done
for i in `find %{gamesdir} -name "*.scores" -a -empty`
do
	echo "100.000000 `date +%s` gnome" >> $i
	echo "150.000000 `date +%s` gnome" >> $i
	echo "200.000000 `date +%s` gnome" >> $i
done

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/ctali
%{_bindir}/freecell
%{_bindir}/sol
%{_bindir}/gataxx
%{_bindir}/gnect
%if %enable_xbill
%{_bindir}/gnome-xbill
%{_datadir}/xbill
%endif
# these are setgid games so they can write in score files
%if %enable_gnometris
%attr(2555, root, games) %{_bindir}/gnometris
%endif
%attr(2555, root, games) %{_bindir}/glines
%attr(2555, root, games) %{_bindir}/gnibbles
%attr(2555, root, games) %{_bindir}/gnobots2
%attr(2555, root, games) %{_bindir}/gnome-stones
%attr(2555, root, games) %{_bindir}/gnomine
%attr(2555, root, games) %{_bindir}/gnotravex
%attr(2555, root, games) %{_bindir}/gnotski
%attr(2555, root, games) %{_bindir}/gtali
%attr(2555, root, games) %{_bindir}/iagno
%attr(2555, root, games) %{_bindir}/mahjongg
%attr(2555, root, games) %{_bindir}/same-gnome
%{_datadir}/applications/*
%{_datadir}/gnect
%{_datadir}/gnibbles
%{_datadir}/gnobots2
%{_datadir}/gnome-stones*
%{_datadir}/pixmaps/*
%{_menudir}/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_datadir}/sol-games
%{_datadir}/sounds/*
%{_datadir}/mime-info/*
%dir %{_libdir}/gnome-stones
%dir %{_libdir}/gnome-stones/objects
%{_libdir}/gnome-stones/objects/lib*.so*
%attr(664, games, games) %ghost %{gamesdir}/*
%{_datadir}/omf/*


%files -n %{libname}%{lib_major}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{libname}%{lib_major}-devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*a
%{_includedir}/*

%changelog
* Tue Mar  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0-2mdk
- Patch0 (CVS) :fix gnect schema (Mdk bug #1042)

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-3mdk
- Recompiled against latest openssl

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-2mdk
- Don't ship gnome-xbill help file if xbill isn't build

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3
- add source1 : missing schemas.in files for correct build

* Thu Nov 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4

* Sat Aug 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-2mdk
- Rebuild with gcc 3.2-0.3mdk

* Tue Aug 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2

* Sat Aug  3 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.1.1-3mdk
- BuildRequires

* Wed Jul 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1.1-2mdk
- Fix icons
- Rebuild with gcc 3.2

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1.1-1mdk
- Release 2.0.1.1
- Png icons

* Thu Jun 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Thu Jun 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.94.0-1mdk
- Release 1.94.0

* Fri May 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.92.0-1mdk
- Release 1.92.0

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.91.0-1mdk
- Release 1.91.0

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.90.2-2mdk
- Clean specfile, thanks to Abel Cheung
 - Add gnometris
 - Fix %pre 
 - Fix group of glines

* Thu Apr 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.90.2-1mdk
- Release 1.90.2 (GNOME 2)
- Remove patch0 (no longer needed)

* Fri Feb 22 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.0.3-6mdk
- integrated basque (and others) translation

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.4.0.3-5mdk
- BuildRequires

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 1.4.0.3-4mdk
- Fix menu with png icon

* Tue Dec 25 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4.0.3-3mdk
- Use standard icon in menu (when missing)
- Fix build

* Mon Sep 17 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.0.3-2mdk
- BuildRequires: gdk-pixbuf-devel
- Removed redundant BuildRequires

* Thu Jul 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.3-1mdk
- Release 1.4.0.3

* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.0.2-2mdk
- BuildRequires:	db1-devel
- Removed BuildRequires:	audiofile-devel
- Removed BuildRequires:	esound-devel
- Removed BuildRequires:	imlib-devel
- Removed BuildRequires:	ORBit-devel
- Removed BuildRequires:	XFree86-devel

* Wed Jul 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.2-1mdk
- Release 1.4.0.2

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-1mdk
- Release 1.4.0.1
- Regenerate patch 0

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4.0
- Regenerate patch 1 and rename it patch 0
- Add omf files

* Fri Mar  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.90-1mdk
- Release 1.3.90
- Remove patch 0 (merged upstream)

* Tue Oct 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-10mdk
- No longer provide gnome-xbill (doesn't work with last popt/glibc)
- Add dependency on guile

* Tue Oct 17 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-9mdk
- Correct bug 228 : gturing not exiting when using WM exit button

* Tue Oct  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-8mdk
- Rebuild with correct large icons

* Thu Sep  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-7mdk
- Add missing icons
- Use more macros

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-6mdk
- /var/state -> /var/lib (FHS 2.1)
- use find_lang macro

* Wed Aug 16 2000 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-5mdk
- Fix menu entry
- Human readable Description

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.0-4mdk
- automatically added BuildRequires

* Tue Aug  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-3mdk
- BM + macroszification
- menu entry is embedded in spec file

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.0-2mdk
- automatically added BuildRequires

* Tue Jun 13 2000 dam's <damien@mandrakesoft.com> 1.2.0-1mdk
- updated from helix version

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.51-9mdk
- BuildRequires: guile-devel.

* Wed May 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.51-8mdk
- fixed many ugly/not-working/parties-en-live icons: gnome-xbill,
  gnomine, iagno, gataxx
- added 16x16 icons

* Tue Apr 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.51-7mdk
- added menu entries
- fixed copyright

* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.51-6mdk
- some minor fixes
- cleanup spec
- setgid to 02555
- add ldconfig to post and postun sections

* Sun Mar 26 2000 David BAUDENS <baudens@mandrakesoft.com>
- Group
- Enable all games
- Use Mandrake logo and not RH logo
- Use %%{_tmppath} for BuildRoot

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build/check macro
- remove patch[01]
- 1.0.51 (sware i did this already so we use release 3mdk, just incase.)

* Tue Aug 31 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild against new libguile version
- got latest translations

* Sun Jul 11 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added a nice icon
- made %ghost for score files so they aren't lost after upgrades
- cleaned %files

* Tue Jun 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merging with RedHat :
    - added new sol games and a fix for the old ones.

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.

* Mon Mar 29 1999 Michael Fulbright <drmike@redhat.com>
- removed more offending t*tris stuff

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.2
- made gnibbles have correct attr since its setgid
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- added score files to file list

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- Version 1.0.1

* Fri Feb 19 1999 Michael Fulbright <drmike@redhat.com>
- removed *tris games

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8
- added sound event lists to file list
- touched up file list some more

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- added gnibbles data to file list

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.7

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.5

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.1

* Thu Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.0 in prep for GNOME 1.0

* Sat Nov 21 1998 Michael Fulbright <drmike@redhat.com>
- updated for 0.30 tree

* Fri Nov 20 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- use --localstatedir=/var/lib in config state (score files for games
  for exemple will go there).

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-games CVS source tree
